#%%global prever rc10

Name: log4cplus
Version: 1.1.2
%if 0%{?prever:1}
Release: 0.5.%{prever}%{?dist}
%else
Release: 2%{?dist}
%endif
Summary: Logging Framework for C++

License: ASL 2.0
URL: http://sourceforge.net/projects/log4cplus
%if 0%{?prever:1}
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}-%{prever}.tar.xz
%else
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
%endif
Group: System Environment/Libraries

%description
log4cplus is a simple to use C++ logging API providing thread-safe, flexible,
and arbitrarily granular control over log management and configuration. It is
modeled after the Java log4j API.

%package devel
Summary: Development files for log4cplus C++ logging framework
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains headers and libraries needed to develop applications
using log4cplus logging framework.

%prep
%if 0%{?prever:1}
%setup -q -n %{name}-%{version}-%{prever}
%else
%setup -q
%endif

%build
%configure
make %{?_smp_mflags}


%install
%make_install

rm -f $RPM_BUILD_ROOT/%{_libdir}/liblog4cplus.{a,la}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc LICENSE README ChangeLog
%{_libdir}/lib*.so.*

%files devel
%dir %{_includedir}/log4cplus
%dir %{_includedir}/log4cplus/boost
%dir %{_includedir}/log4cplus/config
%dir %{_includedir}/log4cplus/helpers
%dir %{_includedir}/log4cplus/internal
%dir %{_includedir}/log4cplus/spi
%dir %{_includedir}/log4cplus/thread
%dir %{_includedir}/log4cplus/thread/impl
%{_libdir}/lib*.so
%{_includedir}/log4cplus/*.h*
%{_includedir}/log4cplus/boost/*.h*
%{_includedir}/log4cplus/config/*.h*
%{_includedir}/log4cplus/helpers/*.h*
%{_includedir}/log4cplus/internal/*.h*
%{_includedir}/log4cplus/spi/*.h*
%{_includedir}/log4cplus/thread/*.h*
%{_includedir}/log4cplus/thread/impl/*.h*
%{_libdir}/pkgconfig/log4cplus.pc

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Oct 24 2013 Tomas Hozza <thozza@redhat.com> - 1.1.2-1
- update to 1.1.2

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 23 2013 Tomas Hozza <thozza@redhat.com> 1.1.1-1
- update to 1.1.1

* Mon Feb 18 2013 Adam Tkac <atkac redhat com> - 1.1.0-1
- update to 1.1.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-0.3.rc10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Sep 21 2012 Adam Tkac <atkac redhat com> - 1.1.0-0.2.rc10
- some fixes related to pkg review

* Thu Sep 20 2012 Adam Tkac <atkac redhat com> - 1.1.0-0.1.rc10
- initial package
